[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'ipc' (#rtl)

# TMSQid_ds

Record returned by the msgctl call, contains all data about a message queue.

## Declaration

Source position: ipc.pp line 319

`type TMSQid_ds = record`
`msg_perm: TIPC_Perm;` |  | Queue permissions
`msg_first: PMSG;` |  | Pointer to first message
`msg_last: PMSG;` |  | Pointer to last message
`msg_stime: time_t;` |  | Last send time
`msg_rtime: time_t;` |  | Last receive time
`msg_ctime: time_t;` |  | Last control time
`msg_cbytes: Word;` |  |
`msg_qnum: Word;` |  |
`msg_qbytes: Word;` |  |
`msg_lspid: ipc_pid_t;` |  |
`msg_lrpid: ipc_pid_t;` |  |
`end;`

## Description

This record should never be used directly, it is an internal kernel record. It's fields may change at any time.

Documentation generated on: Feb 26 2014